package com.willalp.common.enums;

/**
 * 操作人类别
 *
 * @author willalp
 */
public enum NumberRuleEnum {


    CUISINE("1","菜品编号规则"),
    MENU("2","菜单编号规则"),
    ORDER("3","订单编号规则"),
    EVALUATE("4","评价编号规则"),
    ORGANIZATION_THREE("5","机构编号规则(三位区号)"),
    ORGANIZATION_FOUR("6","机构编号规则(四位区号)"),
    USER("7","用户编号规则"),
    CARD("8","卡片编号规则"),
    DEVICE("9","设备编号规则"),
    ORGANIZATION_ADMINISTRATOR("10","机构管理员规则"),
    SUPER_ADMINISTRATOR("11","超级管理员规则"),
    ROLE_ONE("12","角色编号(类型一)"),
    ROLE_TWO("13","角色编号(类型二)"),
    DEPARTMENT("14","部门编号规则"),
    PLACE("15","位置编号规则"),
    GIFT("16", "礼品编号");

    private String value;

    private String label;

    NumberRuleEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
